Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class EndpointInterceptor

    java.lang.Object
      org.springframework.security.access.intercept.AbstractSecurityInterceptor
          org.springframework.flex.security3.EndpointInterceptor

All Implemented Interfaces:
  InitializingBean, ApplicationEventPublisherAware, MessageSourceAware, MessageInterceptor

    public class EndpointInterceptor

extends AbstractSecurityInterceptor
implements MessageInterceptor

Security interceptor that secures messages being passed to BlazeDS endpoints based on the security attributes configured for the endpoint being invoked.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class org.springframework.security.access.intercept.AbstractSecurityInterceptor
`logger, messages`

Constructor Summary
`EndpointInterceptor()`

Method Summary
`void` | `afterPropertiesSet()`
`EndpointSecurityMetadataSource` | `getObjectDefinitionSource()`
`Class<?>` | `getSecureObjectClass()`
`SecurityMetadataSource` | `obtainSecurityMetadataSource()`
`Message` | `postProcess(MessageProcessingContext context, Message inputMessage, Message outputMessage)` Hook for post-processing the outgoing AMF `Message`
`Message` | `preProcess(MessageProcessingContext context, Message inputMessage)` Hook for pre-processing the incoming AMF `Message`
`void` | `setObjectDefinitionSource(EndpointSecurityMetadataSource newSource)` Sets the `EndpointSecurityMetadataSource` for the endpoint being secured

Methods inherited from class org.springframework.security.access.intercept.AbstractSecurityInterceptor
`afterInvocation, beforeInvocation, getAccessDecisionManager, getAfterInvocationManager, getAuthenticationManager, getRunAsManager, isAlwaysReauthenticate, isRejectPublicInvocations, isValidateConfigAttributes, setAccessDecisionManager, setAfterInvocationManager, setAlwaysReauthenticate, setApplicationEventPublisher, setAuthenticationManager, setMessageSource, setRejectPublicInvocations, setRunAsManager, setValidateConfigAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointInterceptor

    public EndpointInterceptor()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `AbstractSecurityInterceptor`
  Throws:
    `Exception`

### getObjectDefinitionSource

    public EndpointSecurityMetadataSource getObjectDefinitionSource()

### getSecureObjectClass

    public Class<?> getSecureObjectClass()

  Specified by:
    `getSecureObjectClass` in class `AbstractSecurityInterceptor`

### obtainSecurityMetadataSource

    public SecurityMetadataSource obtainSecurityMetadataSource()

  Specified by:
    `obtainSecurityMetadataSource` in class `AbstractSecurityInterceptor`

### postProcess

    public Message postProcess(MessageProcessingContext context,
                               Message inputMessage,
                               Message outputMessage)

  Hook for post-processing the outgoing AMF `Message`

  Specified by:
    `postProcess` in interface `MessageInterceptor`
  Parameters:
    `context` - context for the current request
    `inputMessage` - the incoming AMF message
    `outputMessage` - the outgoing AMF message
  Returns:
    the AMF message to send in response

### preProcess

    public Message preProcess(MessageProcessingContext context,
                              Message inputMessage)

  Hook for pre-processing the incoming AMF `Message`

  Specified by:
    `preProcess` in interface `MessageInterceptor`
  Parameters:
    `context` - context for the current request
    `inputMessage` - the incoming AMF message
  Returns:
    the AMF message to process in the current request

### setObjectDefinitionSource

    public void setObjectDefinitionSource(EndpointSecurityMetadataSource newSource)

  Sets the `EndpointSecurityMetadataSource` for the endpoint being secured

  Parameters:
    `newSource` - the endpoint definition source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.